module MPS.UTF8 where

import System.IO.UTF8 (readFile, writeFile)
import qualified MPS as MPS
import Prelude hiding ((.), (^), readFile, writeFile)
import MPS hiding (split, gsub, match, sub)
import Control.Arrow ((>>>))
import System.Directory


-- io
read_file  = readFile
write_file = writeFile
ls x       = MPS.ls (x.u2b) ^ map b2u
mkdir_p    = u2b >>> createDirectoryIfMissing True

file_exist = u2b >>> doesFileExist
dir_exist = u2b >>> doesDirectoryExist

split x y  = MPS.split (x.u2b) (y.u2b) .map b2u
gsub x y z = MPS.gsub (x.u2b) (y.u2b) (z.u2b) .b2u
sub x y z  = MPS.sub (x.u2b) (y.u2b) (z.u2b) .b2u
match x y  = MPS.match (x.u2b) (y.u2b)